Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class DisplayUtil

    java.lang.Object
      com.mindbright.terminal.DisplayUtil

public class DisplayUtil
extends java.lang.Object

Constructor Summary
`DisplayUtil()`

Method Summary
`static void` | `drawBoxOrBlockChar(java.awt.Graphics g, int x, int y, int bi, char c, int charWidth, int charHeight)`
`protected static void` | `drawLineDrawChar(java.awt.Graphics g, int x, int y, int bi, char c, int charWidth, int charHeight)`
`static boolean` | `isBoxOrBlockChar(char c)`
`protected static java.awt.Color` | `makeDimmerColor(java.awt.Color orgColor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayUtil

    public DisplayUtil()

Method Detail

### makeDimmerColor

    protected static java.awt.Color makeDimmerColor(java.awt.Color orgColor)

### drawLineDrawChar

    protected static void drawLineDrawChar(java.awt.Graphics g,
                                           int x,
                                           int y,
                                           int bi,
                                           char c,
                                           int charWidth,
                                           int charHeight)

### isBoxOrBlockChar

    public static boolean isBoxOrBlockChar(char c)

### drawBoxOrBlockChar

    public static void drawBoxOrBlockChar(java.awt.Graphics g,
                                          int x,
                                          int y,
                                          int bi,
                                          char c,
                                          int charWidth,
                                          int charHeight)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD